#!/bin/bash
# {{ ansible_managed }}
#
# Call without argument to import all configured sources or set an argument-flux-workflow-link (like 'twillo') to import a single source

if [ -z "$1" ]; then
  PROCESSES="{{ ((search_index_etl_configfiles | default([], true)) + (search_index_etl_customfiles | default([], true))) | map('regex_replace', '^(.+)$', search_index_etl_configdir + '/\\1') | join(' ') }}"
else
  PROCESSES="{{ search_index_etl_configdir }}/${1}"
fi

export OERSI_ETL_OPTS="-Dlog4j.configuration=file:{{ search_index_etl_configdir }}/log4j.properties"
for PROCESS_ARG in $PROCESSES
do
  echo "Running ETL import with $PROCESS_ARG"
  cd {{ search_index_etl_downloaddir }} && ./build/install/oersi-etl/bin/oersi-etl $PROCESS_ARG {{ search_index_etl_configdir }}/oersi.properties
done

{{ base_dir }}/bin/create-sitemap.sh
